<%@page pageEncoding="UTF-8" isErrorPage="true"%>
<%--
/**
 * システムエラーJSPです。<br>
 * <p>
 * フレームワーク共通で利用されるシステムエラーページであり、基本的には変更不要です。<br>
 * </p>
 *
 * @author Kitagawa<br>
 *
 */!--
 * 更新日		更新者				更新内容
 * 2012/08/13	Kitagawa			新規作成
 *--/
 */
--%>
<%
/*
 * web.xmlによるエラーハンドリング遷移時のリクエストアトリビュート補完
 */
if (request.getAttribute(org.phosphoresce.webcore.core.GlobalConstants.REQUEST_ATTR_KEY_PROCESSDATE) == null) {
	request.setAttribute(org.phosphoresce.webcore.core.GlobalConstants.REQUEST_ATTR_KEY_PROCESSDATE, new java.util.Date());
}
if (request.getAttribute(org.phosphoresce.webcore.core.GlobalConstants.REQUEST_ATTR_KEY_ENVIRONMENT) == null) {
	request.setAttribute(org.phosphoresce.webcore.core.GlobalConstants.REQUEST_ATTR_KEY_ENVIRONMENT, org.phosphoresce.webcore.core.GlobalEnvironment.getMap());
}
if (request.getAttribute(org.phosphoresce.webcore.core.GlobalConstants.REQUEST_ATTR_KEY_CONFIG) == null) {
	request.setAttribute(org.phosphoresce.webcore.core.GlobalConstants.REQUEST_ATTR_KEY_CONFIG, org.phosphoresce.webcore.core.config.Config.getMap());
}
if (request.getAttribute(org.phosphoresce.webcore.core.GlobalConstants.REQUEST_ATTR_KEY_REQUEST) == null) {
	request.setAttribute(org.phosphoresce.webcore.core.GlobalConstants.REQUEST_ATTR_KEY_REQUEST, request);
}
if (request.getAttribute(org.phosphoresce.webcore.core.GlobalConstants.REQUEST_ATTR_KEY_EXCEPTION) == null) {
	request.setAttribute(org.phosphoresce.webcore.core.GlobalConstants.REQUEST_ATTR_KEY_EXCEPTION, request.getAttribute("javax.servlet.jsp.jspException"));
	request.setAttribute(org.phosphoresce.webcore.core.GlobalConstants.REQUEST_ATTR_KEY_EXCEPTION, request.getAttribute("javax.servlet.error.exception"));
}
if (request.getAttribute(org.phosphoresce.webcore.core.GlobalConstants.REQUEST_ATTR_KEY_EXCEPTION_TRACE) == null) {
	request.setAttribute(org.phosphoresce.webcore.core.GlobalConstants.REQUEST_ATTR_KEY_EXCEPTION_TRACE, org.phosphoresce.lib.commons.util.ExceptionUtil.getStackTraceValue((Throwable) request.getAttribute("javax.servlet.jsp.jspException")));
	request.setAttribute(org.phosphoresce.webcore.core.GlobalConstants.REQUEST_ATTR_KEY_EXCEPTION_TRACE, org.phosphoresce.lib.commons.util.ExceptionUtil.getStackTraceValue((Throwable) request.getAttribute("javax.servlet.error.exception")));
}
if (request.getAttribute(org.phosphoresce.webcore.core.GlobalConstants.REQUEST_ATTR_KEY_STATUS_CODE) == null) {
	request.setAttribute(org.phosphoresce.webcore.core.GlobalConstants.REQUEST_ATTR_KEY_STATUS_CODE, request.getAttribute("javax.servlet.error.status_code"));
}
%>
<%--
 **************************************************************************************************************************************************************
 ** ヘッダーレイアウト START
 **************************************************************************************************************************************************************
--%>
<jsp:include page="/WEB-INF/view/common_layout/layout_header.jsp" flush="true">
	<jsp:param name="functionTitle" value="システムエラー" />
	<jsp:param name="showMessage" value="true" />
	<jsp:param name="showLoginUser" value="true"/>
</jsp:include>
<%--
 **************************************************************************************************************************************************************
 ** ヘッダーレイアウト END
 **************************************************************************************************************************************************************
--%>

<%--
 ==============================================================================================================================================================
 == ページ固有スタイル START
 ==============================================================================================================================================================
--%>
<style type="text/css">
.exception-header {
	color: #2778ec;
	font-size: 50px;
	padding: 10px 0px 10px 0px;
}

.exception-sub-header {
	color: #0758cc;
	font-size: 18px;
	padding: 0px 0px 3px 0px;
}

.exception-notice {
	color: #0042a5;
	font-size: 16px;
	padding: 10px 0px 10px 0px;
}

.exception-description {
	padding: 0px 0px 20px 15px;
}
</style>
<%--
 ==============================================================================================================================================================
 == ページ固有スタイル END
 ==============================================================================================================================================================
--%>

<%--
 ==============================================================================================================================================================
 == ページコンテンツ START
 ==============================================================================================================================================================
--%>
<div
	class="exception-header"
>
	<c:if test="${empty statusCode}">
	サーバーエラーが発生しました
	</c:if>
	<c:if test="${not empty statusCode}">
	サーバーエラーが発生しました(${f:h(statusCode)})
	</c:if>
</div>
<hr/>
<div
	class="exception-notice"
>
	このメッセージは、リクエストされた内容をサーバーが実行中に正常に処理できなかったことを意味します。<br/>
	再度、同じ処理を繰り返してもこのページが表示される場合は、システム管理者に連絡して下さい。<br/>
	(${f:fmDate(processDate, "yyyy/MM/dd HH:mm:ss")})<br/>
</div>
<div>
	<input 
		type="button" 
		id="buttonReturnTop" 
		value="トップページに戻る"
	>
</div>
<hr/>
<div
	class="exception-sub-header"
>
	例外メッセージ
</div>
<div
	class="exception-description"
>
	<c:if test="${empty exception.message}">
		なし
	</c:if>
	<c:if test="${not empty exception.message}">
		${f:h(exception.message)}
	</c:if>
</div>
<hr/>
<div
	class="exception-sub-header"
>
	例外クラス
</div>
<div
	class="exception-description"
>
	<c:if test="${empty exception.class.name}">
		なし
	</c:if>
	<c:if test="${not empty exception.class.name}">
		${f:h(exception.class.name)}
	</c:if>
</div>
<hr/>
<div
	class="exception-sub-header"
>
	例外トレース情報
</div>
<div
	class="exception-description"
>
	<c:if test="${empty exceptionTrace}">
		なし
	</c:if>
	<c:if test="${not empty exceptionTrace}">
		${f:h(exceptionTrace)}
	</c:if>
</div>
<hr/>

<script>
$(function() {
	$("#buttonReturnTop").bind("click", function() {
		location.href = Environment.REQUEST_CONTEXT_PATH;
		return true;
	});
	return true;
});
</script>
<%--
 ==============================================================================================================================================================
 == ページコンテンツ END
 ==============================================================================================================================================================
--%>

<%--
 **************************************************************************************************************************************************************
 ** フッターレイアウト START
 **************************************************************************************************************************************************************
--%>
<jsp:include page="/WEB-INF/view/common_layout/layout_footer.jsp" flush="true">
	<jsp:param name="functionScript" value="" />
</jsp:include>
<%--
 **************************************************************************************************************************************************************
 ** フッターレイアウト END
 **************************************************************************************************************************************************************
--%>
