<%@page pageEncoding="UTF-8"%>
<%--
/**
 * FS00002(サンプルメニュー画面)メインJSP<br>
 *
 * @author Kitagawa<br>
 *
 */!--
 * 更新日		更新者				更新内容
 * 2012/08/13	Kitagawa			新規作成
 *--/
 */
--%>
<%--
 **************************************************************************************************************************************************************
 ** ヘッダーレイアウト START
 **************************************************************************************************************************************************************
--%>
<jsp:include page="/WEB-INF/view/common_layout/layout_header.jsp" flush="true">
	<jsp:param name="functionTitle" value="トップメニュー" />
	<jsp:param name="showMessage" value="true" />
	<jsp:param name="showLoginUser" value="true"/>
</jsp:include>
<%--
 **************************************************************************************************************************************************************
 ** ヘッダーレイアウト END
 **************************************************************************************************************************************************************
--%>

<%--
 ==============================================================================================================================================================
 == ページ固有スタイル START
 ==============================================================================================================================================================
--%>
<style type="text/css">
</style>
<%--
 ==============================================================================================================================================================
 == ページ固有スタイル END
 ==============================================================================================================================================================
--%>

<%--
 ==============================================================================================================================================================
 == ページコンテンツ START
 ==============================================================================================================================================================
--%>
<input 
	type="hidden" 
	id="selectedTabIndex" 
	name="selectedTabIndex" 
	value="${form.selectedTabIndex}"
>
<div id="tabPane">
	<ul>
		<li><a href="#tabContent1">サーブレット</a></li>
		<li><a href="#tabContent2">インタフェース</a></li>
		<li><a href="#tabContent3">メッセージ</a></li>
		<li><a href="#tabContent4">Hibernate</a></li>
		<li><a href="#tabContent5">JasperReports</a></li>
		<li><a href="#tabContent6">POI/JOD</a></li>
	</ul>
	<%--
	 // サーブレット
	--%>
	<div id="tabContent1">
		フレームワークが提供するサーブレット処理動作確認用のリクエストを行います。<br>
		<hr>
		<h4>例外発生の動作確認</h4>
		アクションに存在しないアクションメソッドをコールして、システムエラーページに遷移します。<br>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestNoSuchAction" 
			value="存在しないアクションで例外発生"
		>
		<hr>
		<h4>JSPフォワードの動作確認</h4>
		アクションの戻り値でパス文字列先頭にスラッシュが付かない場合はJSPフォワードとして処理を行います。<br>
		返却するJSPパスは自アクションパス配下のJSPページとなりますが、他のJSPパスとする場合は、環境定義されたJSP基底パスから指定します。<br>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestForwardJSP" 
			value="自画面JSPにそのままフォワード"
		>
		<hr>
		<h4>サーブレットフォワードの動作確認</h4>
		アクションの戻り値で先頭にスラッシュが付く場合はそのアクションパスへのフォワード処理を行います。<br>
		基底パスはコンテキストパスであり、機能IDが先頭に付与されたパス指定を行います。<br>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestForwardAction" 
			value="サーブレットを呼び出してフォワード"
		>
		<hr>
		<h4>遷移時トークンチェックの動作確認</h4>
		一度リクエストしたあと、戻る/進むボタン操作を行い、リクエスト処理を行うとトークンエラーとして処理を中断します。<br>
		アクションメソッドのアノテーションにて"checkToken = true"が指定されている場合にのみトークンチェックが実施されます。<br>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestTokenCheck" 
			value="トークンチェックを実施するアクション"
		>
		<hr>
		<h4>項目バリデーションの動作確認</h4>
		アクションメソッドアノテーションのvalidate属性にフォームクラスのバリデーションメソッドを設定することで短項目チェックが実施されます。<br>
		バリデーションメソッドは引数なしの結果真偽値を返却するメソッド若しくは、WindowSessionContainerを引数で受け取る結果真偽値を返却するメソッドとする必要があります(命名規則は任意ですが、先頭に"validate"を持つメソッド名とすることを推奨します)。<br>
		<label 
			for="fieldTestValidation"
		>テストフィールド</label>
		<input 
			type="text" 
			id="fieldTestValidation" 
			name="fieldTestValidation" 
			value="${form.fieldTestValidation}"
		> (必須)
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestValidation" 
			value="項目バリデーションの実行"
		>
		<hr>
		<h4>項目編集監視</h4>
		登録、更新系の画面にて項目編集を行った際に、他画面遷移時に警告ダイアログを出力します。<br>
		ダイアログ出力の個別実装は行わず、フレームワークで決められたクラス(control-monitor-change)をフィールドに設定することで監視対象となります。<br>
		<label 
			for="fieldTestValidation"
		>監視フィールド</label>
		<input 
			type="text" 
			class="control-monitor-change" 
			name="fieldTestMonitorChange" 
			value="${form.fieldTestMonitorChange}"
		>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestMonitorChange" 
			value="編集監視項目の警告を発生するサブミット"
		>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestMonitorChangeClear" 
			value="編集監視項目のフラグをクリアする"
		>
		<hr>
	</div>
	<%--
	 // インタフェース
	--%>
	<div id="tabContent2">
		フレームワークが提供する標準的な処理動作確認用のリクエストを行います。<br>
		<hr>
		<h4>非同期処理試験</h4>
		画面遷移を伴わない非同期処理アクションを実行します。<br>
		<select 
			id="asyncSample" 
			name="asyncSample" 
			style="width: 20em;"
		>
			<option value="">選択して下さい</option>
<c:forEach var="item" varStatus="status" items="${form.asyncSampleList}">
			<option value="${f:h(item.value)}" ${item.value == form.asyncSample ? 'selected' : ''}>${f:h(item.label)}</option>
</c:forEach>
		</select>
		<select 
			id="asyncSampleSub" 
			name="asyncSampleSub" 
			style="width: 20em;"
		>
<c:forEach var="item" varStatus="status" items="${form.asyncSampleSubList}">
			<option value="${f:h(item.value)}" ${item.value == form.asyncSampleSub ? 'selected' : ''}>${f:h(item.label)}</option>
</c:forEach>
		</select>
		<hr>
		<h4>モーダルダイアログ連携</h4>
		ポップアップしたモーダルダイアログから入力した内容を基画面に反映します。<br>
		<input 
			type="text" 
			name="fieldTestDialog" 
			id="fieldTestDialog" 
			value="${f:h(form.fieldTestDialog)}" 
			readonly="readonly" 
		>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestDialogField" 
			value="ダイアログ連携処理"
		>
		<hr>
	</div>
	<%--
	 // メッセージ
	--%>
	<div id="tabContent3">
		フレームワークが提供するメッセージ表示処理動作確認用のリクエストを行います。<br>
		<hr>
		<h4>サーバーサイドエラーメッセージ設定確認</h4>
		文字列リソースに定義されたコードを指定してエラーメッセージを追加します。<br>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestMessageError" 
			value="エラーメッセージ設定"
		>
		<hr>
		<h4>サーバーサイド警告メッセージ設定確認</h4>
		文字列リソースに定義されたコードを指定して警告メッセージを追加します。<br>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestMessageWarning" 
			value="警告メッセージ設定"
		>
		<hr>
		<h4>サーバーサイド情報メッセージ設定確認</h4>
		文字列リソースに定義されたコードを指定して情報メッセージを追加します。<br>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestMessageInformation" 
			value="情報メッセージ設定"
		>
		<hr>
		<h4>サーバーサイド連絡メッセージ設定確認</h4>
		文字列リソースに定義されたコードを指定して連絡メッセージを追加します。<br>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestMessageNotice" 
			value="連絡メッセージ設定"
		>
		<hr>
		<h4>サーバーサイドデバッグメッセージ設定確認</h4>
		文字列リソースに定義されたコードを指定してデバッグメッセージを追加します。<br>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestMessageDebug" 
			value="デバッグメッセージ設定"
		>
		<hr>
		<h4>サーバーサイドトレースメッセージ設定確認</h4>
		文字列リソースに定義されたコードを指定してトレースメッセージを追加します。<br>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestMessageTrace" 
			value="トレースメッセージ設定"
		>
		<hr>
		<h4>全レベルメッセージ設定確認</h4>
		文字列リソースに定義されたコードを指定して全てのレベルメッセージを追加します。<br>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestMessageAllLevel" 
			value="全レベルメッセージ設定"
		>
		<hr>
		<h4>大量メッセージ設定確認</h4>
		定数定義された最大表示件数以上のメッセージが設定された場合、表示/非表示制御を行います。<br>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestMessageLargeQuantity" 
			value="大量メッセージ設定"
		>
		<hr>
		<h4>メッセージページ表示確認</h4>
		ポップアップウィンドウ時等のメッセージ表示のみのページ確認を行います。<br>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestMessagePage" 
			value="メッセージページ表示確認"
		>
		<hr>
		<h4>ダイアログメッセージ表示確認</h4>
		サーバーサイドで定義されたメッセージをバインド文字列を含めてJavascript側で利用します。<br>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestJSMessage" 
			value="ダイアログメッセージ表示確認"
		>
		<hr>
		<h4>ダイアログメッセージ表示確認</h4>
		サーバーサイドで処理実行後のクライアント表示後にアラートダイアログでメッセージ表示を行います。<br>
		コンファームでの処理を行う必要がある場合は、機能毎にフォームフィールドを設けて処理する必要があります。<br>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestClientAlertMessage" 
			value="サーバー設定メッセージのアラート表示"
		>
		<hr>
	</div>
	<%--
	 // Hibernate
	--%>
	<div id="tabContent4">
		フレームワークが提供するHibernateアドオン動作確認用のリクエストを行います。<br>
		<hr>
		<h4>データベース検索処理</h4>
		Java側から設定された情報を基にJasperReportsを用いてExcelダウンロード処理を行います。<br>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestHibernateSearch" 
			value="データベース検索"
		>
		<label for="fieldHibernateUserCd">ユーザーコード</label>
		<span 
			class="field-readonly"
			id="fieldHibernateUserCd"
		>
			${f:h(form.fieldHibernateUserCd)}
		</span>
		<label for="fieldHibernateUserName">ユーザー名</label>
		<span 
			class="field-readonly"
			id="fieldHibernateUserName"
		>
			${f:h(form.fieldHibernateUserName)}
		</span>
	</div>
	<%--
	 // JasperReports
	--%>
	<div id="tabContent5">
		フレームワークが提供するJasperReportsを用いた帳票生成動作確認用のリクエストを行います。<br>
		<hr>
		<h4>JasperReportsを利用したExcelダウンロード処理</h4>
		Java側から設定された情報を基にJasperReportsを用いてExcelダウンロード処理を行います。<br>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestJasperExcelDownload" 
			value="Jasper帳票(Excel)ダウンロード処理"
		>
		<hr>
		<h4>JasperReportsを利用したPDFダウンロード処理</h4>
		Java側から設定された情報を基にJasperReportsを用いてPDFダウンロード処理を行います。<br>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestJasperPDFDownload" 
			value="Jasper帳票(PDF)ダウンロード処理"
		>
		<hr>
		<h4>JasperReportsを利用したPDFモーダル表示処理</h4>
		Java側から設定された情報を基にJasperReportsを用いてPDFモーダル表示ド処理を行います。<br>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestJasperPDFModal" 
			value="Jasper帳票(PDF)モーダル表示処理"
		>
		<hr>
		<h4>JasperReportsを利用したPDFポップアップ表示処理</h4>
		Java側から設定された情報を基にJasperReportsを用いてPDFポップアップ表示ド処理を行います。<br>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestJasperPDFPopup" 
			value="Jasper帳票(PDF)ポップアップ表示処理"
		>
		<hr>
		<h4>JasperReportsを利用したHTMLモーダル表示処理</h4>
		Java側から設定された情報を基にJasperReportsを用いてHTMLモーダル表示ド処理を行います。<br>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestJasperHTMLModal" 
			value="Jasper帳票(HTML)モーダル表示処理"
		>
		<hr>
		<h4>JasperReportsを利用したHTMLポップアップ表示処理</h4>
		Java側から設定された情報を基にJasperReportsを用いてHTMLポップアップ表示処理を行います。<br>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestJasperHTMLPopup" 
			value="Jasper帳票(HTML)ポップアップ表示処理"
		>
		<hr>
		<h4>JasperReportsを利用した直接印刷処理</h4>
		サーバー側に接続されているプリンタに直接印刷を行います。<br>
		<select name="printerName">
		<c:forEach var="item" varStatus="status" items="${form.printerNameList}">
			<option value="${f:h(item)}" ${item == form.printerName ? 'selected' : ''}>${f:h(item)}</option>
		</c:forEach>
		</select>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestJasperDirectPrint" 
			value="Jasper帳票直接印刷処理"
		>
		<hr>
		<h4>JasperReportsを利用した複数定義結合PDF生成処理</h4>
		複数定義体(同一定義の場合でも結合を伴う場合)の結合PDF出力処理を行います。<br>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestJasperPDFMultipage" 
			value="複数定義結合PDF生成処理"
		>
		<hr>
	</div>
	<%--
	 // POI
	--%>
	<div id="tabContent6">
		フレームワークが提供するPOIを用いたExcel帳票動的生成動作確認用のリクエストを行います。<br>
		<hr>
		<h4>Excelテンプレートダウンロード</h4>
		サンプルで利用するテンプレートファイルをダウンロードします。<br>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestPOIDownloadTemplate" 
			value="Excelテンプレートダウンロード"
		>
		<hr>
		<h4>一階層のマップバインドでの動的Excel生成処理</h4>
		単純なシート上に設定されたバインド項目に対して、バインドオブジェクトデータをマッピングしてExcelを生成します。<br>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestPOIDownloadSingleMapping" 
			value="一階層バインドExcel生成処理"
		>
		<hr>
		<h4>リストバインドでの動的Excel生成処理</h4>
		リストデータのバインドを行い、動的に行を増やしてExcelを生成します。<br>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestPOIDownloadListMapping" 
			value="リストバインドExcel生成処理"
		>
		<hr>
		<h4>階層リストバインドでの動的Excel生成処理</h4>
		階層構造となっているリストデータのバインドを行い、動的に行を増やしてExcelを生成します。<br>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestPOIDownloadMultiListMapping" 
			value="階層リストバインドExcel生成処理"
		>
		<hr>
		<h4>複数シートテンプレートからの動的Excel生成処理</h4>
		階層構造となっているリストデータのバインドを行い、動的に行を増やしてExcelを生成します。<br>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestPOIDownloadMultiTemplateMapping" 
			value="複数シートテンプレートからのExcel生成処理"
		>
		<hr>
		<h4>Excel-PDF動的変換処理</h4>
		LibreOfficeドキュメント変換アドオンを用いたExcel動的生成後のPDF生成を行います。<br>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestPOIDownloadJODConvert" 
			value="Excel-PDF動的変換処理"
		>
		<hr>
		<h4>複数動的Excel生成後のZIPダウンロード処理</h4>
		動的に複数のExcelファイルを制止し、ZIPファイルに圧縮をしたうえでダウンロードを行います。<br>
		<input 
			type="button" 
			class="width-full" 
			id="buttonTestPOIDownloadZIP" 
			value="動的Excel生成後のZIP圧縮処理"
		>
		<hr>
	</div>
</div>
<%--
 ==============================================================================================================================================================
 == ページコンテンツ END
 ==============================================================================================================================================================
--%>

<%--
 **************************************************************************************************************************************************************
 ** フッターレイアウト START
 **************************************************************************************************************************************************************
--%>
<jsp:include page="/WEB-INF/view/common_layout/layout_footer.jsp" flush="true">
	<jsp:param name="functionScript" value="/WEB-INF/view/function/FS00002/FS00002Script.jsp" />
</jsp:include>
<%--
 **************************************************************************************************************************************************************
 ** フッターレイアウト END
 **************************************************************************************************************************************************************
--%>
