<%@page pageEncoding="UTF-8"%>
<%--
/**
 * フレームワークで提供されるiOSモバイルSafariブックマーク用JSPです。<br>
 * <p>
 * 当ページをiOSモバイルSafariにてブックマークすることでトップページにリダイレクトします。<br>
 * Strutsアドオンフレーム以外でアプリケーションを実現する場合は、リダイレクト処理部を修正する必要があります。<br>
 * </p>
 *
 * @author Kitagawa<br>
 *
 */!--
 * 更新日		更新者				更新内容
 * 2012/07/02	Kitagawa			新規作成
 *--/
 */
--%>
<%--
 **************************************************************************************************************************************************************
 ** ヘッダーレイアウト START
 **************************************************************************************************************************************************************
--%>
<jsp:include page="/WEB-INF/view/common_layout/layout_header.jsp" flush="true">
	<jsp:param name="functionTitle" value="ブックマーク" />
	<jsp:param name="showMessage" value="true" />
	<jsp:param name="showLoginUser" value="true"/>
</jsp:include>
<%--
 **************************************************************************************************************************************************************
 ** ヘッダーレイアウト END
 **************************************************************************************************************************************************************
--%>

<%--
 ==============================================================================================================================================================
 == ページ固有スタイル START
 ==============================================================================================================================================================
--%>
<style type="text/css">
.help-content {
	padding: 10px;
	background-color: #f1f1f1;
	border: #cccccc 1px solid;
	margin-bottom: 10px;
	-webkit-border-radius: 3px;
	-moz-border-radius: 3px;
	border-radius: 3px;
	-webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.05);
	-moz-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.05);
	box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.05);
}
.help-content h4 {
	border-bottom: #cccccc 1px solid;
	margin-bottom: 10px;
}
.help-content li {
	margin-top: 5px;
}
</style>
<%--
 ==============================================================================================================================================================
 == ページ固有スタイル END
 ==============================================================================================================================================================
--%>

<%--
 ==============================================================================================================================================================
 == ページコンテンツ START
 ==============================================================================================================================================================
--%>
<script>
if (!Browser.isMobileSafari() || Browser.isFullScreenMobileSafari()) {
	var url = "<%=GlobalEnvironment.getContextPath() + Config.getString(StrutsConfigNames.STRUTS_URL_ROOT) + Config.getString(StrutsConfigNames.STRUTS_URL_INDEX)%>";
	location.href = url;
}
</script>
<h4>iOSモバイルサファリで利用する場合は、ホーム画面に追加してから利用して下さい。</h4>

<div class="help-content">
<h4>ステップ1&nbsp;&nbsp;&nbsp;Safariブラウザ操作</h4>
<ul>
<li>iPhoneの場合はSafariブラウザ下部のツールバーにある操作メニューボタンを押します。</li>
<img src="${f:res('/images/help_bm_stp1_iphone.png')}"><br>
<li>iPadの場合はSafariブラウザ上部のツールバーにある操作メニューボタンを押します。</li>
<img src="${f:res('/images/help_bm_stp1_ipad.png')}"><br>
</ul>
</div>

<div class="help-content">
<h4>ステップ2&nbsp;&nbsp;&nbsp;ホーム画面追加設定</h4>
<ul>
<li>表示されたポップアップウィンドウにある[ホーム画面に追加]を押します。<br>例では白いアイコンとなっていますが、通常はアプリケーションのアイコンが表示されます。</li>
<img src="${f:res('/images/help_bm_stp2.png')}"><br>
<li>任意のアプリケーション名を入力して[追加]ボタンを押します。<br>初期タイトルのままで良い場合はそのまま[追加]ボタンを押します。</li>
<img src="${f:res('/images/help_bm_stp3.png')}"><br>
</ul>
</div>

<div class="help-content">
<h4>ステップ3&nbsp;&nbsp;&nbsp;ホーム画面追加設定</h4>
<ul>
<li>ホーム画面にアプリケーションのアイコンが追加されます。<br>次回からこのアイコンでアプリケーションが利用できるようになります。</li>
<img src="${f:res('/images/help_bm_stp4.png')}">
</ul>
</div>
<%--
 ==============================================================================================================================================================
 == ページコンテンツ END
 ==============================================================================================================================================================
--%>

<%--
 **************************************************************************************************************************************************************
 ** フッターレイアウト START
 **************************************************************************************************************************************************************
--%>
<jsp:include page="/WEB-INF/view/common_layout/layout_footer.jsp" flush="true">
	<jsp:param name="functionScript" value="" />
</jsp:include>
<%--
 **************************************************************************************************************************************************************
 ** フッターレイアウト END
 **************************************************************************************************************************************************************
--%>
