<%@page pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<%--
/**
 * フレームワークで提供されるポップアップウィンドウ制御用のポップアップウィンドウコンテナJSPです。<br>
 * <p>
 * 当ページはSubmit.jsと連携してモーダルウィンドウ及び、ポップアップウィンドウの制御を行うJSPとなります。<br>
 * </p>
 *
 * @author Kitagawa<br>
 *
 */!--
 * 更新日		更新者				更新内容
 * 2012/07/02	Kitagawa			新規作成
 *--/
 */
--%>
<html>
<head>
<%--
/*
 * フレームワーク共通headタグソース
 */
--%>
<jsp:include page="/WEB-INF/view/common/jsp_headSource.jsp" />

<script type="text/javascript">
<%--
/**
 * インナーフレームエレメントサイズをリサイズします。<br>
 * @return 正常終了した場合にtrueを返却
 */
--%>
function resizeIFrame() {
	$("#modalDocument").css("height", $(window).height());
	$("#modalDocument").css("width", $(window).width());
	return true;
}

<%--
/*
 * ウィンドウID設定
 */
--%>
window.name = "__popup_window__";


$(function() {
	<%--
	/*
	 * ディフォルトウィンドウサイズ設定
	 */
	--%>
	if (window.dialogArguments) {
		Browser.setWindowSize((screen.availHeight / 4 * 3), screen.availHeight);
		Browser.setWindowLocation(window.dialogArguments.parentWindow.screenTop, window.dialogArguments.parentWindow.screenLeft);
	} else {
		Browser.setWindowSize((screen.availHeight / 4 * 3), screen.availHeight);
		Browser.setWindowLocation(window.opener.screenTop, window.opener.screenLeft);
	}

<c:if test="${not empty param[StrutsConstants.REQUEST_KEY_ACTION_PATH]}">
	<%--
	/*
	 * アクションパスがリクエストパラメータとして指定されている場合はそのままリダイレクト
	 */
	--%>
	window.location.href = "${param[StrutsConstants.REQUEST_KEY_ACTION_PATH]}";
	Browser.focusWindow();
</c:if>

	<%--
	/*
	 * インナーフレームソース設定
	 */
	--%>
	if (window.dialogArguments) {
		$("#modalDocument").bind("load", function() {
			resizeIFrame();
		});
		$("#modalDocument").attr("src", window.dialogArguments.url);
		// 親ウィンドウトークン更新
		$(window).bind("beforeunload", function() {
			try {
				var idocument = null;
				if(document.getElementById("modalDocument").contentDocument) {
					idocument = document.getElementById("modalDocument").contentDocument;
				}else{
					idocument = document.getElementById("modalDocument").Document;
				}
				window.dialogArguments.parentWindow.document.getElementById(Environment.FIELD_KEY_TOKEN_ID).value = idocument.getElementById(Environment.FIELD_KEY_TOKEN_ID).value;
			} catch (e) {
				//
			}
		});
	}

	<%--
	/*
	 * 非モーダルポップアップ表示時のリサイズ不具合対応の為にイベントバインド
	 */
	--%>
	$(window).bind("resize", function() {
		resizeIFrame();
	});

	<%--
	/*
	 * 親ウィンドウが存在する場合のトークン更新
	 */
	--%>
	if (window.opener) {
		try {
			if ($("#" + Environment.FIELD_KEY_TOKEN_ID).val() && $("#" + Environment.FIELD_KEY_TOKEN_ID).val() !== "undefined") {
				window.opener.$("#" + Environment.FIELD_KEY_TOKEN_ID).val($("#" + Environment.FIELD_KEY_TOKEN_ID).val());
			}
		} catch (e) {
			//
		}
	}

	<%--
	/**
	 * テーマ適用時のちらつき防止のため、body要素はスタイル上noneとしておき、表示のタイミングでblockとする
	 */
	--%>
	$("body").css("display", "block");

	<%--
	/*
	 * 初期表示時インナーフレームリサイズ
	 */
	--%>
	resizeIFrame();
});
</script>
</head>
<body style="margin: 0px; padding: 0px; width: 100%; height: 100%; overflow: hidden;">
	<iframe id="modalDocument"
		src="about:blank" 
		frameBorder="0"
		style="
			margin: 0px;
			padding: 0px;
		"
		runat="server"></iframe>
</body>
</html>
