/**
 * エレメントサイズ矯正クラス<br>
 * <br>
 * エレメントのサイズを指定されたオプション内容に基づいてウィンドウリサイズイベント発生時に矯正します。<br>
 *
 * @author Kitagawa<br>
 *
 *<!--
 * 更新日		更新者				更新内容
 * 2012/07/02	Kitagawa			新規作成
 *-->
 */

/**
 * コンストラクタ<br>
 */
var Sizing = function() {
};

/**
 * 
 * <ul>
 * <li>target : ターゲット要素又はセレクタ(ディフォルト:null)</li>
 * <li>offsetWidth : ドキュメント幅を基準としたオフセットサイズ(ディフォルト:null)</li>
 * <li>offsetHeight : ドキュメント高さを基準としたオフセットサイズ(ディフォルト:null)</li>
 * <li>fixWidth : 固定指定幅(ディフォルト:null)</li>
 * <li>fixHeight : 固定指定高さ(ディフォルト:null)</li>
 * </ul>
 * @param {Object} options 動作オプション<br>
 * @returns {Boolean} 正常に処理が終了した場合にtrueを返却
 */
Sizing.adjust = function(options) {
	var defaults = {
		target : void 0,
		offsetWidth : void 0,
		offsetHeight : void 0,
		fixWidth : void 0,
		fixHeight : void 0
	};
	var mergedOptions = $.extend({}, defaults, options);

	$(window).bind("resize.autoResizeScrollLayout.width", function() {
		if (mergedOptions.offsetWidth) {
			$(mergedOptions.target).width(Content.getContentWidth() - ElementUtil.getWidthPx(mergedOptions.offsetWidth));
		}
		if (mergedOptions.offsetHeight) {
			$(mergedOptions.target).height($(window).innerHeight() - ElementUtil.getHeightPx(mergedOptions.offsetHeight));
		}
	});
	$(window).resize();

	return true;
};
