/**
 * 日付ユーティリティクラス<br>
 * <br>
 * 日付操作等のユーティリティ関数を提供するプロトタイプクラスです。<br>
 *
 * @author Kitagawa<br>
 *
 *<!--
 * 更新日		更新者				更新内容
 * 2012/07/02	Kitagawa			新規作成
 *-->
 */

/**
 * コンストラクタ<br>
 */
function DateUtil() {
};

/**
 * 指定された文字列が数値であるか判定します。<br>
 * @param value 対象文字列
 * @returns 指定された文字列が数値である場合にtrueを返却
 */
DateUtil.getLocalYYYYsMMsDD = function() {
	var date = new Date();
	var year = date.getFullYear().toString();
	var month = (date.getMonth() + 1).toString();
	month = month.length < 2 ? "0" + month : month;
	var day = date.getDate().toString();
	day = day.length < 2 ? "0" + day : day;
	return year + "/" + month + "/" + day;
};

/**
 * ローカル現在日付をyyyy/MM/dd HH:mm:ss形式で取得します。<br>
 * @returns ローカル現在日付
 */
DateUtil.getLocalYYYYsMMsDDaHHcSS = function() {
	var date = new Date();
	var hour = date.getHours().toString();
	hour = hour.length < 2 ? "0" + hour : hour;
	var minute = date.getMinutes().toString();
	minute = minute.length < 2 ? "0" + minute : minute;
	var second = date.getSeconds().toString();
	second = second.length < 2 ? "0" + second : second;
	return this.getLocalYYYYsMMsDD() + " " + hour + ":" + minute + ":" + second;
};
