package org.phosphoresce.webcore.ext.smartlayout;

import org.phosphoresce.webcore.core.GlobalConstants;

/**
 * スマートレイアウトアドオンモジュールにおける共通の定数を提供します。<br>
 * <p>
 * 上位インタフェースとして{@link GlobalConstants}を継承するため、コアモジュールの共通定数が引き継がれた定数インタフェースとなります。<br>
 * クラス概要はコアモジュール側パッケージドキュメントを参照してください。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2010/07/03	Kitagawa		新規作成
 *-->
 */
public interface SmartLayoutConstants extends GlobalConstants {

	/** Velocity環境設定リソース */
	public static final String SMART_LAYOUT_VELOCITY_CONFIG = "/" + SmartLayoutConstants.class.getPackage().getName().replaceAll("\\.", "/") + "/SmartLayoutVelocity.properties";

	/** Velocityテンプレートリソースパス */
	public static final String SMART_LAYOUT_VELOCITY_TEMPLATE_PATH = "/" + SmartLayoutConstants.class.getPackage().getName().replaceAll("\\.", "/") + "/template";

	/** Velocityバインドキー(モデルオブジェクト) */
	public static final String VELOCITY_KEY_MODEL = "model";

	/** Velocityバインドキー(フォームオブジェクト) */
	public static final String VELOCITY_KEY_FORM = "form";

	/** Velocityバインドキー(ユーティリティ) */
	public static final String VELOCITY_KEY_UTIL = "util";
}
