package org.phosphoresce.webcore.ext.smartlayout.taglib.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import org.phosphoresce.webcore.ext.smartlayout.model.SmartTagModel;

/**
 * 各種カスタムタグにおける動作制御仕様を定義する属性を提供します。<br>
 * <p>
 * スマートレイアウトが提供するカスタムタグはすべてこのアノテーションが付与されて提供されます。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2013/02/19	Kitagawa		新規作成
 *-->
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ ElementType.TYPE })
public @interface LooseTagConfig {

	/**
	 * カスタムタグに対応するモデルクラスを指定します。<br>
	 */
	public abstract Class<? extends SmartTagModel> modelClass();

	/**
	 * カスタムタグクラスが出力処理を担当するクラスである場合にtrueを指定します。<br>
	 */
	public abstract boolean output() default false;;
}
