package org.phosphoresce.webcore.ext.smartlayout.taglib.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * スマートレイアウトのカスタムタグモデルが保持するタグ属性フィールドの制御仕様の定義インタフェースを提供します。<br>
 * <p>
 * すべてのカスタムタグモデルの属性フィールドはこのアノテーションが付与されて実装されます。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2013/02/19	Kitagawa		新規作成
 *-->
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ ElementType.FIELD })
public @interface SmartTagAttributeField {

	/**
	 * カスタムタグ属性の初期値を指定します。<br>
	 */
	public abstract String defaultValue() default "";
}
