package org.phosphoresce.webcore.ext.smartlayout.taglib.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * スマートレイアウトのカスタムタグモデルの制御仕様の定義インタフェースを提供します。<br>
 * <p>
 * すべてのカスタムタグモデルクラスはこのアノテーションが付与されて実装されます。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2013/02/19	Kitagawa		新規作成
 *-->
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ ElementType.TYPE })
public @interface SmartTagModelConfig {

	/**
	 * 開始タグテンプレートリソースを指定します。<br>
	 */
	public abstract String startTemplate();

	/**
	 * 終了タグテンプレートリソースを指定します。<br>
	 */
	public abstract String endTemplate();
}
