package org.phosphoresce.lib.jod;

/**
 * LibreOfficeプロセス状態の定義を列挙型定数として提供します。<br>
 * <p>
 * ここで提供されるプロセス状態を元にプロセス管理が内部的に実行されます。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2012/12/19	Kitagawa		新規作成
 *-->
 */
enum JODSOfficeProcessStatus {

	/** ソケット接続待ち */
	WAIT_CONNECT,

	/** ソケット接続中 */
	CONNECTING,

	/** 処理待ち */
	WAIT_PROCESS,

	/** 処理中(排他状態) */
	PROCESSING,

	/** ソケット切断中 */
	DISCONNECTING,

	/** インスタンス解放中 */
	FINALIZING,

	/** インスタンス破棄待ち */
	WAIT_DESTROY,
}
