package org.phosphoresce.lib.jod.exception;

/**
 * LibreOfficesドキュメントコンバート処理時に内部例外が発生した場合にスローされます。<br>
 * <p>
 * 正常にプロセス起動が行えなかった場合や、接続が確立できなかった場合、変換が行えなかった場合等の内部処理における致命的な例外としてスローされます。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2012/12/19	Kitagawa		新規作成
 *-->
 */
public class JODConvertProcessException extends JODConverterException {

	/**
	 * コンストラクタ<br>
	 * @param message 例外メッセージ
	 * @param cause ルート例外
	 */
	public JODConvertProcessException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * コンストラクタ<br>
	 * @param message 例外メッセージ
	 */
	public JODConvertProcessException(String message) {
		super(message);
	}
}
