package org.phosphoresce.lib.jod.exception;

/**
 * LibreOfficeドキュメントコンバートプロセス接続に空きがない状態となった場合にスローされます。<br>
 * <p>
 * この例外は復帰可能な例外としてユーザーによって明示的に補足し、業務処理を行うことが想定されます。<br>
 * プロセス管理クラスにおいて、ソケット取得時に空きがない場合にスローされますが、プロセスへの空きができた後で処理をリトライさせることで解消されます。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2012/12/19	Kitagawa		新規作成
 *-->
 */
public class JODProcessTooBusyException extends JODConverterException {

	/**
	 * コンストラクタ<br>
	 */
	public JODProcessTooBusyException() {
		super("Process is too busy");
	}
}
