package org.phosphoresce.lib.poi;

/**
 * Apache POI拡張ライブラリで利用する定数を提供します。<br>
 * <p>
 * ここで提供される定数はライブラリ内で利用するレベルの定数であり、ユーザーがこれらを利用することはありません。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2005/11/21	Kitagawa		新規作成
 * 2012/07/09	Kitagawa		新規作成(バージョン2にアップデート)
 *-->
 */
public interface PoiGlobal {

	/** 空文字列 */
	public static final String EMPTY = "";

	/** キャリッジリターン文字列 */
	public static final String CRLF = "\r\n";
	
	/** ディフォルトシート名プレフィクス */
	public static final String DEFAULT_SHEET_PREFIX = "Sheet";

	/** 動的セル識別定義(第1階層区切り文字) */
	public static final String DYNA_DELIM = ":";

	/** 動的セル識別定義(第2階層区切り文字) */
	public static final String DYNA_SUBDELIM = "/";

	/** 動的セル識別定義(動的定義プレフィクス) */
	public static final String DYNA_PREFIX = "$dyna";

	/** 動的セル識別定義(タイプ:通常値) */
	public static final String DYNA_TYPE_VALUE = "value";

	/** 動的セル識別定義(タイプ:リスト開始) */
	public static final String DYNA_TYPE_LIST_START = "list_start";

	/** 動的セル識別定義(タイプ:リスト終了) */
	public static final String DYNA_TYPE_LIST_END = "list_end";

	/** 動的セル識別定義(初期値型:数値) */
	public static final String DYNA_DEFAULT_VALUE_TYPE_NUMERIC = "numeric";
}
