package org.phosphoresce.lib.poi.dyna;

import org.phosphoresce.lib.poi.adapter.PoiWorkbook;

/**
 * 動的にワークブックを生成した後の付加処理インタフェースを提供します。<br>
 * <p>
 * 動的にワークブックを生成した後に行列の非表示等の追加処理を行う場合などにこのインタフェースを実装したクラスを作成します。<br>
 * このインタフェースを実装したクラスを動的ワークブック生成処理時に設定することで、生成後にその処理が実行されます。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2012/07/09	Kitagawa		新規作成(バージョン2アップデート時に追加されました)
 *-->
 */
public interface PoiDynaAfterProcess {

	/**
	 * 動的出力後のワークブック処理を実行します。<br>
	 * @param workbook ワークブックオブジェクト
	 */
	public void afterProcess(PoiWorkbook workbook);
}
