package org.phosphoresce.lib.poi.dyna;

import java.util.LinkedList;

import org.phosphoresce.lib.poi.PoiGlobal;

/**
 * 動的にバインドする値をリスト形式で保持するインタフェースを提供します。<br>
 * <p>
 * リスト内の要素は{@link PoiDynaMap}となります。<br>
 * このオブジェクトがテンプレートに対して設定された場合、テンプレート行を複写してリストの内容分動的に出力されます。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2005/11/21	Kitagawa		新規作成
 * 2012/07/09	Kitagawa		バージョン2にアップデート
 *-->
 */
public class PoiDynaList extends LinkedList<PoiDynaMap> implements PoiGlobal, PoiDynaValue {

	/**
	 * コンストラクタ<br>
	 */
	public PoiDynaList() {
		super();
	}

	/**
	 * バインド値タイプを取得します。<br>
	 * @return バインド値タイプ
	 * @see org.phosphoresce.lib.poi.dyna.PoiDynaValue#getDynaValueType()
	 */
	public int getDynaValueType() {
		return TYPE_LIST;
	}
}
