package org.phosphoresce.lib.poi.dyna;

/**
 * 動的設定を行う値の共通インタフェースを提供します。<br>
 * <p>
 * 動的設定を行うバインド値は全てこのインタフェースが実装されたクラスインスタンスとなります。<br>
 * 動的設定マップ情報での値タイプを統一化する為にこのインタフェースクラスが設けられました。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2012/07/09	Kitagawa		新規作成(バージョン2アップデート時に追加されました)
 *-->
 */
public interface PoiDynaValue {

	/** バインド値タイプ(オブジェクト) */
	public int TYPE_OBJECT = 0;

	/** バインド値タイプ(リスト) */
	public int TYPE_LIST = 1;

	/**
	 * バインド値タイプを取得します。<br>
	 * @return バインド値タイプ
	 */
	public int getDynaValueType();
}
