package org.phosphoresce.lib.poi.exception;

/**
 * Apache POI拡張ライブラリにおける内部処理で例外が発生した場合にスローされます。<br>
 * <p>
 * 当クラスは{@link RuntimeException}を継承したクラスとして提供されていることに注意し、必要に応じてcatch句を設けて下さい。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2012/07/09	Kitagawa		新規作成(バージョン2にアップデート)
 *-->
 */
public class PoiException extends RuntimeException {

	/**
	 * コンストラクタ<br>
	 * @param message 例外メッセージ
	 * @param cause ルート例外
	 */
	public PoiException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * コンストラクタ<br>
	 * @param message 例外メッセージ
	 */
	public PoiException(String message) {
		super(message);
	}
}
