package sample.org.phosphoresce.webcore.ext.struts.common.action;

import org.phosphoresce.webcore.ext.hibernate4.model.SUser;
import org.phosphoresce.webcore.ext.hibernate4.transaction.HibernateTransactionManager;
import org.phosphoresce.webcore.ext.jdbc.transaction.JDBCTransactionManager;
import org.phosphoresce.webcore.ext.struts.action.AbstractAction;
import org.phosphoresce.webcore.ext.struts.annotation.StrutsAction;
import org.phosphoresce.webcore.ext.struts.annotation.StrutsDefaultTransaction;
import org.phosphoresce.webcore.ext.struts.annotation.StrutsTransaction;

/**
 * サンプルアプリケーション共通上位抽象アクションクラスです。<br>
 * <p>
 * アプリケーションの各画面アクションは全てこのアクションが継承されたサブクラスとして作成します。<br>
 * </p>
 * <p>
 * 当クラスではアクションクラスにおける以下に示す共通のアノテーション付与及び、総称型の指定を行います。<br>
 * 機能ごとのサブアクションクラスではこのクラスで決定された共通のアノテーション、総称型指定は省略して実装を行います。<br>
 * <ul>
 * <li>アクションクラスアノテーション({@link StrutsAction})</li>
 * ディフォルトトランザクションとして{@link HibernateTransactionManager}、及び、
 * 名前付きトランザクションとしてルックアップ名が"sample1"の名前空間が"testdb1"で定義されている{@link HibernateTransactionManager}、
 * 名前付きトランザクションとしてルックアップ名が"sample2"の名前空間が"testdb1"で定義されている{@link JDBCTransactionManager}
 * のアノテーション定義を共通で提供します。<br>
 * <li>アクションクラス総称型</li>
 * {@link AbstractAction}の総称型パラメータのうち、処理ユーザーに{@link SUser}を共通で決定します。<br>
 * </ul>
 * </p>
 * 
 * @param <F> {@link SampleForm}を継承したフォームクラス
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2013/06/29	Kitagawa		新規作成
 *-->
 */
@StrutsAction( //
transaction = @StrutsDefaultTransaction(transactionClass = HibernateTransactionManager.class), //
namedTransactions = {
//
		@StrutsTransaction(lookup = "sample1", namespace = "testdb1", transactionClass = HibernateTransactionManager.class), //
		@StrutsTransaction(lookup = "sample2", namespace = "testdb1", transactionClass = JDBCTransactionManager.class) //

})
public abstract class SampleAction<F extends SampleForm> extends AbstractAction<SUser, F> implements SampleConstants {
}
