package sample.org.phosphoresce.webcore.ext.struts.common.action;

import org.phosphoresce.webcore.ext.hibernate4.model.SUser;
import org.phosphoresce.webcore.ext.struts.action.AbstractForm;
import org.phosphoresce.webcore.ext.struts.annotation.StrutsForm;
import org.phosphoresce.webcore.ext.struts.enums.FormScope;

/**
 * サンプルアプリケーション共通上位抽象フォームクラスです。<br>
 * <p>
 * 各画面フォームクラスは全てこのフォームクラスを継承したクラスとして作成します。<br>
 * フレームワーク共通のフィールドは更に上位のフォームクラスで提供されている為、サブクラスで個別に設ける必要はありません。<br>
 * </p>
 * <p>
 * 当クラスではフォームクラスにおける以下に示す共通のアノテーション付与及び、総称型の指定を行います。<br>
 * 機能ごとのサブフォームクラスではこのクラスで決定された共通のアノテーション、総称型指定は省略して実装を行います。<br>
 * <ul>
 * <li>フォームクラスアノテーション({@link StrutsForm})</li>
 * フォームスコープをリクエストスコープとして提供します。<br>
 * <li>フォームクラス総称型</li>
 * 処理ユーザーに{@link SUser}を共通で決定します。<br>
 * </ul>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2013/06/29	Kitagawa		新規作成
 *-->
 */
@StrutsForm(scope = FormScope.REQUEST)
public abstract class SampleForm extends AbstractForm<SUser> {
}
