package sample.org.phosphoresce.webcore.ext.struts.common.action;

import java.util.Date;

import org.phosphoresce.webcore.ext.hibernate4.model.SUser;
import org.phosphoresce.webcore.ext.hibernate4.transaction.HibernateTransactionContext;
import org.phosphoresce.webcore.ext.hibernate4.transaction.HibernateTransactionManager;

/**
 * サンプルアプリケーション共通上位抽象Hibernateトランザクションコンテキストクラスです。<br>
 * <p>
 * Hibernateアドオンモジュールを利用したデータベースアクセスを行う業務処理実行の為のコンテキストクラスです。<br>
 * アプリケーションで実行されるHibernate処理はこのコンテキストクラスが利用されます。<br>
 * </p>
 * <p>
 * 当クラスではHibernateを利用するトランザクションのコンテキストクラスにおける総称型の決定を行います。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2013/07/11	Kitagawa		新規作成
 *-->
 */
public class SampleHibernateTransactionContext extends HibernateTransactionContext<SUser> {

	/**
	 * コンストラクタ<br>
	 * @param transaction トランザクション管理オブジェクト
	 * @param processUser 処理ユーザ
	 * @param processDate 処理時刻
	 */
	public SampleHibernateTransactionContext(HibernateTransactionManager transaction, SUser processUser, Date processDate) {
		super(transaction, processUser, processDate);
	}
}
