package sample.org.phosphoresce.webcore.ext.struts.common.action;

import org.phosphoresce.webcore.ext.hibernate4.model.SUser;
import org.phosphoresce.webcore.ext.hibernate4.transaction.AbstractHibernateService;
import org.phosphoresce.webcore.ext.struts.action.AbstractLogic;
import org.phosphoresce.webcore.ext.struts.action.ServletContainer;
import org.phosphoresce.webcore.ext.struts.annotation.StrutsLogic;

import sample.org.phosphoresce.webcore.ext.struts.common.service.SampleSUserService;

/**
 * サンプルアプリケーション共通上位抽象Hibernateロジッククラスです。<br>
 * <p>
 * アプリケーションの各画面ロジッククラスはすべてこのクラスを継承して作成します。<br>
 * </p>
 * <p>
 * 当クラスではHibernateを利用するロジッククラスにおける以下に示す共通のアノテーション付与及び、総称型の指定を行います。<br>
 * 機能ごとのサブロジッククラスではこのクラスで決定された共通のアノテーション、総称型指定は省略して実装を行います。<br>
 * <ul>
 * <li>ロジッククラスアノテーション({@link StrutsLogic})</li>
 * 現時点ではアノテーション属性は存在しません。<br>
 * <li>ロジッククラス総称型</li>
 * {@link AbstractHibernateService}の総称型パラメータのうち、処理ユーザーに{@link SUser}を共通で決定します。<br>
 * </ul>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2013/07/04	Kitagawa		新規作成
 *-->
 */
@StrutsLogic
public abstract class SampleLogic extends AbstractLogic<SUser> {

	/** ユーザーマスタテーブルサンプルサービス */
	protected SampleSUserService sUserService;

	/**
	 * コンストラクタ<br>
	 */
	public SampleLogic() {
		super();
	}

	/**
	 * ロジッククラスの初期化処理を実行します。<br>
	 * @param servlet サーブレットコンテナオブジェクト
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractLogic#init(org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@Override
	protected void init(ServletContainer<SUser> servlet) {
		sUserService = createService(SampleSUserService.class);
	}
}
