package sample.org.phosphoresce.webcore.ext.struts.function.FS00001;

import org.phosphoresce.lib.commons.util.StringUtil;
import org.phosphoresce.webcore.ext.hibernate4.model.SUser;
import org.phosphoresce.webcore.ext.struts.action.ServletContainer;
import org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer;

import sample.org.phosphoresce.webcore.ext.struts.common.action.SampleForm;

/**
 * サンプル機能フォームクラスです(ログイン画面)。<br>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2010/07/03	Kitagawa		新規作成
 *-->
 */
public class FS00001Form extends SampleForm implements FS00001Constants {

	/** ユーザーID */
	private String code;

	/** パスワード */
	private String password;

	/**
	 * フォームオブジェクトをリセットします。<br>
	 * @param servlet サーブレットコンテナオブジェクト
	 * @param session ウィンドウセッションオブジェクト
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractForm#reset(org.phosphoresce.webcore.ext.struts.action.ServletContainer, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer)
	 */
	@Override
	public void reset(ServletContainer<SUser> servlet, WindowSessionContainer<SUser> session) {
	}

	/**
	 * フォームオブジェクトを初期化します。<br>
	 * @param servlet サーブレットコンテナオブジェクト
	 * @param session ウィンドウセッションオブジェクト
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractForm#init(org.phosphoresce.webcore.ext.struts.action.ServletContainer, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer)
	 */
	@Override
	public void init(ServletContainer<SUser> servlet, WindowSessionContainer<SUser> session) {
		code = "";
		password = "";
	}

	/**
	 * ログインボタン押下時のバリデーションチェックを行います。<br>
	 * @param session ウィンドウセッションオブジェクト
	 * @return バリデーションエラーが発生した場合はfalseを返却します
	 */
	public boolean validateLogin(WindowSessionContainer<SUser> session) {
		boolean result = true;

		// ユーザーIDが未入力の場合はエラー
		if (StringUtil.isEmpty(code)) {
			addMessage("FCRV10001", "ユーザーID");
			result = false;
		}

		// パスワードが未入力の場合はエラー
		if (StringUtil.isEmpty(password)) {
			addMessage("FCRV10001", "パスワード");
			result = false;
		}

		return result;
	}

	/**
	 * ユーザーIDを取得します。<br>
	 * @return ユーザーID
	 */
	public String getCode() {
		return code;
	}

	/**
	 * ユーザーIDを設定します。<br>
	 * @param code ユーザーID
	 */
	public void setCode(String code) {
		this.code = code;
	}

	/**
	 * パスワードを取得します。<br>
	 * @return パスワード
	 */
	public String getPassword() {
		return password;
	}

	/**
	 * パスワードを設定します。<br>
	 * @param password パスワード
	 */
	public void setPassword(String password) {
		this.password = password;
	}
}
