package sample.org.phosphoresce.webcore.ext.struts.function.FS00001;

import org.phosphoresce.webcore.ext.hibernate4.model.SUser;

import sample.org.phosphoresce.webcore.ext.struts.common.action.SampleLogic;

/**
 * サンプル機能ロジッククラスです(ログイン画面)。<br>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2010/07/03	Kitagawa		新規作成
 *-->
 */
public class FS00001Logic extends SampleLogic implements FS00001Constants {

	/**
	 * コンストラクタ<br>
	 */
	public FS00001Logic() {
		super();
	}

	/**
	 * 管理者ユーザーを作成します。<br>
	 */
	public void createAdministrator() {
		if (sUserService.countAllUser() <= 0) {
			sUserService.createNewUser("admin", "admin", "Administrator", "");
		}
	}

	/**
	 * フォーム入力情報からログインユーザーを検索します。<br>
	 * @param form フォームオブジェクト
	 * @return ユーザーエンティティオブジェクト
	 */
	public SUser searchLoginUser(FS00001Form form) {
		SUser sUser = sUserService.searchByCodeAndPassword(form.getCode(), form.getPassword());
		return sUser;
	}
}
