package sample.org.phosphoresce.webcore.ext.struts.function.FS00002;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.FileInputStream;
import java.io.OutputStream;
import java.util.LinkedList;
import java.util.List;

import org.apache.struts.util.LabelValueBean;
import org.phosphoresce.lib.commons.util.StreamUtil;
import org.phosphoresce.lib.commons.util.StringUtil;
import org.phosphoresce.lib.commons.util.ZipApacheUtil;
import org.phosphoresce.lib.commons.util.ZipEntryContainer;
import org.phosphoresce.lib.jod.JODDocumentConverter;
import org.phosphoresce.lib.jod.JODPipedOutputProcess;
import org.phosphoresce.lib.poi.PoiWorkbookType;
import org.phosphoresce.lib.poi.adapter.PoiWorkbook;
import org.phosphoresce.lib.poi.dyna.PoiDynaExporter;
import org.phosphoresce.lib.poi.dyna.PoiDynaMap;
import org.phosphoresce.webcore.ext.hibernate4.model.SUser;
import org.phosphoresce.webcore.ext.jasper.export.JasperContainer;
import org.phosphoresce.webcore.ext.jasper.export.JasperExportType;
import org.phosphoresce.webcore.ext.jasper.export.JasperMultipageWriter;
import org.phosphoresce.webcore.ext.jasper.export.JasperPrinterUtil;
import org.phosphoresce.webcore.ext.jasper.export.JasperSingleWriter;
import org.phosphoresce.webcore.ext.struts.action.Forward;
import org.phosphoresce.webcore.ext.struts.action.ServletContainer;
import org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer;
import org.phosphoresce.webcore.ext.struts.annotation.StrutsMethod;

import sample.org.phosphoresce.webcore.ext.struts.common.action.SampleAction;

/**
 * サンプル機能アクションクラスです(メニュー画面)。<br>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2010/07/03	Kitagawa		新規作成
 *-->
 */
public class FS00002Action extends SampleAction<FS00002Form> implements FS00002Constants {

	/**
	 * 初期表示処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@Override
	@StrutsMethod
	public Forward index(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		/*
		 * JasperReports直接印刷プリンタリスト生成
		 */
		String[] printerNames = JasperPrinterUtil.getPrinterNames();
		List<String> printerNameList = new LinkedList<String>();
		for (String printerName : printerNames) {
			printerNameList.add(printerName);
		}
		form.setPrinterNameList(printerNameList);

		/*
		 * 非同期処理テスト用リスト生成
		 */
		List<LabelValueBean> asyncSampleSelectList = new LinkedList<LabelValueBean>();
		asyncSampleSelectList.add(new LabelValueBean("サンプルアイテム1", "smp1"));
		asyncSampleSelectList.add(new LabelValueBean("サンプルアイテム2(サーバーメッセージ)", "smp2"));
		asyncSampleSelectList.add(new LabelValueBean("サンプルアイテム3(システムエラー)", "smp3"));
		asyncSampleSelectList.add(new LabelValueBean("サンプルアイテム4", "smp4"));
		form.setAsyncSampleList(asyncSampleSelectList);

		return new Forward();
	}

	/**
	 * 自画面JSPにそのままフォワードボタン押下時の処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@StrutsMethod
	public Forward testForwardJSP(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		addMessage(servlet, "FSTR00000", "testForwardJSPが呼ばれて、FS00002.jspにフォワードしました。");
		return new Forward();
	}

	/**
	 * サーブレットを呼び出してフォワードボタン押下時の処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@StrutsMethod
	public Forward testForwardAction(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		addMessage(servlet, "FSTR00000", "testForwardActionが呼ばれて、/FS00001/indexにフォワードしました。");
		return new Forward("/FS00001/index");
	}

	/**
	 * トークンチェックを実施するアクションボタン押下時の処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@StrutsMethod(checkToken = true)
	public Forward testTokenCheck(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		addMessage(servlet, "FSTR00000", "トークンチェックエラーとする場合は、ブラウザの進む/戻るボタンを操作した後で実行して下さい。");
		return new Forward();
	}

	/**
	 * 項目バリデーションの実行ボタン押下時の処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@StrutsMethod(validate = "validateTestValidation")
	public Forward testValidation(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		addMessage(servlet, "FSTR00000", "バリデーションチェックが問題なく完了したので、このメッセージが表示されました。");
		return new Forward();
	}

	/**
	 * 編集監視項目の警告を発生するサブミットボタン押下時の処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@StrutsMethod
	public Forward testMonitorChange(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		addMessage(servlet, "FSTR00000", "項目を編集後のサブミットで警告が出ましたか？");
		return new Forward();
	}

	/**
	 * 編集監視項目のフラグをクリアするボタン押下時の処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@StrutsMethod(clearEdited = true)
	public Forward testMonitorChangeClear(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		addMessage(servlet, "FSTR00000", "項目編集済みフラグをクリアしました");
		return new Forward();
	}

	/**
	 * 非同期試験リスト選択時の処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@StrutsMethod
	public Forward testAsyncListChange(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		/*
		 * 非同期レスポンス処理
		 */
		// 選択された親プルダウンリスト値によって子アイテムリストを生成
		String suffix = null;
		if ("smp1".equals(form.getAsyncSample())) {
			suffix = "1";
		} else if ("smp2".equals(form.getAsyncSample())) {
			suffix = "2";
		} else if ("smp3".equals(form.getAsyncSample())) {
			suffix = "3";
		} else if ("smp4".equals(form.getAsyncSample())) {
			suffix = "4";
		}

		List<LabelValueBean> list = new LinkedList<LabelValueBean>();
		if (!StringUtil.isEmpty(suffix)) {
			for (int i = 1; i <= 5; i++) {
				LabelValueBean bean = new LabelValueBean("サブアイテム" + suffix + "-" + i, "smpsub" + suffix + "-" + i);
				list.add(bean);
			}
		}

		// セッション上に保持させるためフォームに対して設定
		form.setAsyncSampleSubList(list);

		// 疑似的なウェイト
		Thread.sleep(2000);

		// 業務エラー試験
		if ("smp2".equals(form.getAsyncSample())) {
			addMessage(servlet, "AMSG01001", "動的設定文字列");
		}

		// システムエラー試験
		if ("smp3".equals(form.getAsyncSample())) {
			throw new RuntimeException("システムエラーの試験発生");
		}

		// JSONにてリスト情報を返却
		servlet.writeJSON(list);

		return null;
	}

	/**
	 * エラーメッセージ設定ボタン押下時の処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@StrutsMethod
	public Forward testMessageError(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		addMessage(servlet, "AMSG01001", "動的設定文字列");
		return new Forward();
	}

	/**
	 * 警告メッセージ設定ボタン押下時の処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@StrutsMethod
	public Forward testMessageWarning(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		addMessage(servlet, "AMSG01002", "動的設定文字列");
		return new Forward();
	}

	/**
	 * 情報メッセージ設定ボタン押下時の処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@StrutsMethod
	public Forward testMessageInformation(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		addMessage(servlet, "AMSG01003", "動的設定文字列");
		return new Forward();
	}

	/**
	 * 連絡メッセージ設定ボタン押下時の処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@StrutsMethod
	public Forward testMessageNotice(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		addMessage(servlet, "AMSG01004", "動的設定文字列");
		return new Forward();
	}

	/**
	 * デバッグメッセージ設定ボタン押下時の処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@StrutsMethod
	public Forward testMessageDebug(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		addMessage(servlet, "AMSG01005", "動的設定文字列");
		return new Forward();
	}

	/**
	 * トレースメッセージ設定ボタン押下時の処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@StrutsMethod
	public Forward testMessageTrace(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		addMessage(servlet, "AMSG01006", "動的設定文字列");
		return new Forward();
	}

	/**
	 * 全レベルメッセージ設定ボタン押下時の処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@StrutsMethod
	public Forward testMessageAllLevel(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		addMessage(servlet, "AMSG01001", "動的設定文字列");
		addMessage(servlet, "AMSG01001", "動的設定文字列"); // 同一メッセージは追加されずに無視される
		addMessage(servlet, "AMSG01001", "異なる動的設定文字列"); // 動的設定文字列が異なれば追加される
		addMessage(servlet, "AMSG01002", "動的設定文字列");
		addMessage(servlet, "AMSG01003", "動的設定文字列");
		addMessage(servlet, "AMSG01004", "動的設定文字列");
		addMessage(servlet, "AMSG01005", "動的設定文字列");
		addMessage(servlet, "AMSG01006", "動的設定文字列");
		return new Forward();
	}

	/**
	 * 全レベルメッセージ設定ボタン押下時の処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@StrutsMethod
	public Forward testMessageLargeQuantity(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		final int COUNT = 10;
		for (int i = 1; i <= COUNT; i++) {
			addMessage(servlet, "AMSG01001", String.valueOf(i));
		}
		return new Forward();
	}

	/**
	 * メッセージページ表示確認ボタン押下時の処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@StrutsMethod
	public Forward testMessagePage(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		addMessage(servlet, "FSTR00000", "メッセージ表示専用ページでメッセージを表示しています。");
		return new Forward(JSP_MESSAGE_PAGE);
	}

	/**
	 * サーバー設定メッセージのアラート表示ボタン押下時の処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@StrutsMethod
	public Forward testClientAlertMessage(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		form.addClientAlertMessage("FSTR00000", "メッセージ表示専用ページでメッセージを表示しています。");
		return new Forward();
	}

	/**
	 * データベース検索ボタン押下時の処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@StrutsMethod(transaction = true)
	public Forward testHibernateSearch(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		FS00002Logic fs00002Logic = createLogic(servlet, FS00002Logic.class);
		SUser sUser = fs00002Logic.getSUser("admin", "admin");
		if (sUser == null) {
			form.setFieldHibernateUserCd("");
			form.setFieldHibernateUserName("");
		} else {
			form.setFieldHibernateUserCd(sUser.getCode());
			form.setFieldHibernateUserName(sUser.getFirstName() + " " + sUser.getLastName());
		}
		return new Forward();
	}

	/**
	 * Jasper帳票(Excel)ダウンロード処理ボタン押下時の処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@StrutsMethod
	public Forward testJasperExcelDownload(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		/*
		 * Excel帳票をダウンロードする
		 */
		// 帳票コンテナオブジェクト生成
		JasperContainer container = FS00002Util.createJasperSampleContainer();

		// 帳票出力処理
		JasperSingleWriter writer = new JasperSingleWriter(JASPER_TESTFILE02, container);
		writer.write(JasperExportType.POI, servlet.getStreamContainer().getDownloadStream("testJasperExcelDownload.xls"));

		// ダウンロード時はnullを返却
		return null;
	}

	/**
	 * Jasper帳票(PDF)ダウンロード処理ボタン押下時の処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@StrutsMethod
	public Forward testJasperPDFDownload(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		/*
		 * PDF帳票をダウンロードする
		 */
		// 帳票コンテナオブジェクト生成
		JasperContainer container = FS00002Util.createJasperSampleContainer();

		// 帳票出力処理
		JasperSingleWriter writer = new JasperSingleWriter(JASPER_TESTFILE02, container);
		writer.write(JasperExportType.PDF, servlet.getStreamContainer().getDownloadStream("testJasperPDFDownload.pdf"));

		// ダウンロード時はnullを返却
		return null;
	}

	/**
	 * Jasper帳票(PDF)モーダル/ポップアップ表示処理ボタン押下時の処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@StrutsMethod
	public Forward testJasperPDF(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		/*
		 * PDF帳票をレスポンス
		 */
		// 帳票コンテナオブジェクト生成
		JasperContainer container = FS00002Util.createJasperSampleContainer();

		// 帳票出力処理
		JasperSingleWriter writer = new JasperSingleWriter(JASPER_TESTFILE02, container);
		writer.write(JasperExportType.PDF, servlet.getStreamContainer().getResponseStream("application/pdf"));

		// 直接レスポンス時はnullを返却
		return null;
	}

	/**
	 * Jasper帳票(HTML)モーダル/ポップアップ表示処理ボタン押下時の処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@StrutsMethod
	public Forward testJasperHTML(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		/*
		 * HTML帳票をレスポンス
		 */
		// 帳票コンテナオブジェクト生成
		JasperContainer container = FS00002Util.createJasperSampleContainer();

		// 帳票出力処理
		JasperSingleWriter writer = new JasperSingleWriter(JASPER_TESTFILE02, container);
		writer.write(JasperExportType.HTML, servlet.getStreamContainer().getResponseStream("text/html"));

		// 直接レスポンス時はnullを返却
		return null;
	}

	/**
	 * Jasper帳票直接印刷処理ボタン押下時の処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@StrutsMethod
	public Forward testJasperDirectPrint(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		/*
		 * 帳票を直接印刷
		 */
		// 帳票コンテナオブジェクト生成
		JasperContainer container = FS00002Util.createJasperSampleContainer();

		// 帳票出力処理
		JasperSingleWriter writer = new JasperSingleWriter(JASPER_TESTFILE02, container);

		// プリンタ設定
		writer.setPrinterName(form.getPrinterName());

		// プリンタ出力
		writer.print();

		return new Forward();
	}

	/**
	 * 複数定義結合PDF生成処理ボタン押下時の処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@StrutsMethod
	public Forward testJasperPDFMultipage(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		/*
		 * PDF帳票をレスポンス
		 */
		// 帳票出力処理
		JasperMultipageWriter writer = new JasperMultipageWriter();
		{
			// 帳票コンテナオブジェクト生成
			JasperContainer container = new JasperContainer();

			// 帳票定義情報追加
			writer.add(JASPER_TESTFILE01, container);
		}
		{
			// 帳票コンテナオブジェクト生成
			JasperContainer container = FS00002Util.createJasperSampleContainer();

			// 帳票定義情報追加
			writer.add(JASPER_TESTFILE02, container);
		}
		writer.write(JasperExportType.PDF, servlet.getStreamContainer().getResponseStream("application/pdf"));

		// 直接レスポンス時はnullを返却
		return null;
	}

	/**
	 * Excelテンプレートダウンロードボタン押下時の処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@StrutsMethod
	public Forward testPOIDownloadTemplate(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		/*
		 * テンプレートダウンロード
		 */
		FileInputStream fis = null;
		try {
			// サーバー上のリソースストリームをパイプ
			fis = new FileInputStream(POI_TESTFILE01);
			StreamUtil.pipe(fis, servlet.getStreamContainer().getDownloadStream("testPOIDownloadTemplate.xls"));
			fis.close();
		} finally {
			if (fis != null) {
				fis.close();
			}
		}

		return null;
	}

	/**
	 * 一階層バインドExcel生成処理ボタン押下時の処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@StrutsMethod
	public Forward testPOIDownloadSingleMapping(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		/*
		 * Excel帳票生成
		 */
		// 出力オブジェクト生成
		PoiDynaExporter exporter = new PoiDynaExporter(new PoiWorkbook(PoiWorkbookType.EXCEL2003, POI_TESTFILE01));

		// バインドマップ生成
		PoiDynaMap dynaMap = FS00002Util.createSamplePOICompanyRecord();

		// 動的出力シート追加
		exporter.addExportSheet(0, "サンプル1", dynaMap);

		// 出力処理
		exporter.export(servlet.getStreamContainer().getDownloadStream("testPOIDownloadSingleMapping.xls"));

		return null;
	}

	/**
	 * リストバインドExcel生成処理ボタン押下時の処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@StrutsMethod
	public Forward testPOIDownloadListMapping(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		/*
		 * Excel帳票生成
		 */
		// 出力オブジェクト生成
		PoiDynaExporter exporter = new PoiDynaExporter(new PoiWorkbook(PoiWorkbookType.EXCEL2003, POI_TESTFILE01));

		// バインドマップ生成
		PoiDynaMap dynaMap = new PoiDynaMap();
		dynaMap.putAll(FS00002Util.createSamplePOICompanyRecord());
		dynaMap.put("officers", FS00002Util.createSamplePOIOfficerList());

		// 動的出力シート追加
		exporter.addExportSheet(1, "サンプル2", dynaMap);

		// 出力処理
		exporter.export(servlet.getStreamContainer().getDownloadStream("testPOIDownloadListMapping.xls"));

		return null;
	}

	/**
	 * 階層リストバインドExcel生成処理ボタン押下時の処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@StrutsMethod
	public Forward testPOIDownloadMultiListMapping(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		/*
		 * Excel帳票生成
		 */
		// 出力オブジェクト生成
		PoiDynaExporter exporter = new PoiDynaExporter(new PoiWorkbook(PoiWorkbookType.EXCEL2003, POI_TESTFILE01));

		// バインドマップ生成
		PoiDynaMap dynaMap = new PoiDynaMap();
		dynaMap.putAll(FS00002Util.createSamplePOICompanyRecord());
		dynaMap.put("officerTypes", FS00002Util.createSamplePOIOfficerTypeList());

		// 動的出力シート追加
		exporter.addExportSheet(2, "サンプル3", dynaMap);

		// 出力処理
		exporter.export(servlet.getStreamContainer().getDownloadStream("testPOIDownloadMultiListMapping.xls"));

		return null;
	}

	/**
	 * 複数シートテンプレートからのExcel生成処理ボタン押下時の処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@StrutsMethod
	public Forward testPOIDownloadMultiTemplateMapping(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		/*
		 * Excel帳票生成
		 */
		// 出力オブジェクト生成
		PoiDynaExporter exporter = new PoiDynaExporter(new PoiWorkbook(PoiWorkbookType.EXCEL2003, POI_TESTFILE01));

		// バインドマップ生成
		{
			PoiDynaMap dynaMap = FS00002Util.createSamplePOICompanyRecord();
			exporter.addExportSheet(0, "サンプル", dynaMap);
		}
		{
			PoiDynaMap dynaMap = FS00002Util.createSamplePOICompanyRecord();
			exporter.addExportSheet(0, "サンプルa", dynaMap);
		}
		{
			PoiDynaMap dynaMap = new PoiDynaMap();
			dynaMap.putAll(FS00002Util.createSamplePOICompanyRecord());
			dynaMap.put("officers", FS00002Util.createSamplePOIOfficerList());
			exporter.addExportSheet(1, "サンプルa2", dynaMap);
		}
		{
			PoiDynaMap dynaMap = new PoiDynaMap();
			dynaMap.putAll(FS00002Util.createSamplePOICompanyRecord());
			dynaMap.put("officers", FS00002Util.createSamplePOIOfficerList());
			exporter.addExportSheet(1, "サンプル2", dynaMap);
		}
		{
			PoiDynaMap dynaMap = new PoiDynaMap();
			dynaMap.putAll(FS00002Util.createSamplePOICompanyRecord());
			dynaMap.put("officerTypes", FS00002Util.createSamplePOIOfficerTypeList());
			exporter.addExportSheet(2, "サンプルa3", dynaMap);
		}
		{
			PoiDynaMap dynaMap = new PoiDynaMap();
			dynaMap.putAll(FS00002Util.createSamplePOICompanyRecord());
			dynaMap.put("officerTypes", FS00002Util.createSamplePOIOfficerTypeList());
			exporter.addExportSheet(2, "サンプル3", dynaMap);
		}

		// 出力処理
		exporter.export(servlet.getStreamContainer().getDownloadStream("testPOIDownloadMultiTemplateMapping.xls"));

		return null;
	}

	/**
	 * Excel-PDF動的変換処理ボタン押下時の処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@StrutsMethod
	public Forward testPOIDownloadJODConvert(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		/*
		 * Excel帳票生成
		 */
		// 出力オブジェクト生成
		final PoiDynaExporter exporter = new PoiDynaExporter(new PoiWorkbook(PoiWorkbookType.EXCEL2003, POI_TESTFILE01));

		// バインドマップ生成
		{
			PoiDynaMap dynaMap = FS00002Util.createSamplePOICompanyRecord();
			exporter.addExportSheet(0, "サンプル", dynaMap);
		}
		{
			PoiDynaMap dynaMap = new PoiDynaMap();
			dynaMap.putAll(FS00002Util.createSamplePOICompanyRecord());
			dynaMap.put("officers", FS00002Util.createSamplePOIOfficerList());
			exporter.addExportSheet(1, "サンプル2", dynaMap);
		}
		{
			PoiDynaMap dynaMap = new PoiDynaMap();
			dynaMap.putAll(FS00002Util.createSamplePOICompanyRecord());
			dynaMap.put("officerTypes", FS00002Util.createSamplePOIOfficerTypeList());
			exporter.addExportSheet(2, "サンプル3", dynaMap);
		}

		/*
		 * ドキュメント変換出力処理
		 */
		JODDocumentConverter converter = servlet.getDocumentConverter();
		// コンバート処理
		converter.convert(servlet.getStreamContainer().getResponseStream("application/pdf"), new JODPipedOutputProcess() {
			@Override
			public void process(OutputStream stream) throws Throwable {
				exporter.export(stream);
			}
		});

		return null;
	}

	/**
	 * 動的Excel生成後のZIP圧縮処理ボタン押下時の処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@StrutsMethod
	public Forward testPOIDownloadZIP(FS00002Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		ZipEntryContainer zcontainer = new ZipEntryContainer();

		/*
		 * Excel帳票生成
		 */
		{
			// 出力オブジェクト生成
			PoiDynaExporter exporter = new PoiDynaExporter(new PoiWorkbook(PoiWorkbookType.EXCEL2003, POI_TESTFILE01));

			// バインドマップ生成
			PoiDynaMap dynaMap = FS00002Util.createSamplePOICompanyRecord();

			// 動的出力シート追加
			exporter.addExportSheet(0, "サンプル1", dynaMap);

			// 出力処理
			ByteArrayOutputStream bos = new ByteArrayOutputStream();
			exporter.export(bos);
			zcontainer.add("サンプル1.xls", new ByteArrayInputStream(bos.toByteArray()));
		}
		{
			// 出力オブジェクト生成
			PoiDynaExporter exporter = new PoiDynaExporter(new PoiWorkbook(PoiWorkbookType.EXCEL2003, POI_TESTFILE01));

			// バインドマップ生成
			PoiDynaMap dynaMap = new PoiDynaMap();
			dynaMap.putAll(FS00002Util.createSamplePOICompanyRecord());
			dynaMap.put("officers", FS00002Util.createSamplePOIOfficerList());

			// 動的出力シート追加
			exporter.addExportSheet(1, "サンプル2", dynaMap);

			// 出力処理
			ByteArrayOutputStream bos = new ByteArrayOutputStream();
			exporter.export(bos);
			zcontainer.add("サンプル2.xls", new ByteArrayInputStream(bos.toByteArray()));
		}
		{
			// 出力オブジェクト生成
			PoiDynaExporter exporter = new PoiDynaExporter(new PoiWorkbook(PoiWorkbookType.EXCEL2003, POI_TESTFILE01));

			// バインドマップ生成
			PoiDynaMap dynaMap = new PoiDynaMap();
			dynaMap.putAll(FS00002Util.createSamplePOICompanyRecord());
			dynaMap.put("officerTypes", FS00002Util.createSamplePOIOfficerTypeList());

			// 動的出力シート追加
			exporter.addExportSheet(2, "サンプル3", dynaMap);

			// 出力処理
			ByteArrayOutputStream bos = new ByteArrayOutputStream();
			exporter.export(bos);
			zcontainer.add("サンプル3.xls", new ByteArrayInputStream(bos.toByteArray()));
		}

		ZipApacheUtil.create(servlet.getStreamContainer().getDownloadStream("testPOIDownloadZIP.zip"), zcontainer, ZipApacheUtil.DEFAULT_CHARSET);

		return null;
	}
}