package test.org.phosphoresce.webcore.ext.hibernate;

import java.util.Date;

import org.phosphoresce.webcore.ext.hibernate4.model.SUser;
import org.phosphoresce.webcore.ext.hibernate4.transaction.HibernateTransactionContext;
import org.phosphoresce.webcore.ext.hibernate4.transaction.HibernateTransactionManager;

import test.org.phosphoresce.webcore.core.AbstractTest;

/**
 * Hibernate(4.X系)を利用したデータベース処理アドオンフレームワークのテストクラスです。<br>
 * <p>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2013/07/04	Kitagawa		新規作成
 *-->
 */
public class TestHibernate extends AbstractTest {

	/**
	 * メイン処理を実行します。<br>
	 * @param args コマンドライン引数
	 * @throws Throwable 予期せぬ例外が発生した場合にスローされます
	 */
	public static void main(String[] args) throws Throwable {
		new TestHibernate().execute();
	}

	/**
	 * テスト処理を行います。<br>
	 * @throws Throwable 予期せぬ例外が発生した場合にスローされます
	 * @see test.org.phosphoresce.webcore.core.AbstractTest#process()
	 */
	@Override
	public void process() throws Throwable {
		// トランザクションマネージャ生成
		HibernateTransactionManager transactionManager = new HibernateTransactionManager();

		// トランザクションコンテキスト生成
		HibernateTransactionContext<SUser> transactionProcess = new HibernateTransactionContext<SUser>(transactionManager, null, new Date());

		// ロジッククラス生成
		TestHibernateLogic testHibernateLogic = new TestHibernateLogic(transactionProcess);

		// ロジック処理実行
		testHibernateLogic.execute();
	}
}
