/**
 * アプリケーションフレームワークコアモジュールの初期化クラス及び、定数を提供します。<br>
 * <p>
 * アプリケーション起動時にここで提供する各種クラスが初期化され、アプリケーション動作を制御します。<br>
 * このパッケージが提供するクラス構成はアドオンモジュールが提供する初期化処理クラス構成も同様となることに注意してください。<br>
 * 各種初期化処理クラスの概要は以下の通りで、アドオンモジュールにおけるクラスについても同様のインタフェース仕様となります。<br>
 * (%AddonName%と表記されている部分は各アドオンモジュールプレフィクスを表し、当コアモジュールの場合は"Global"となります)<br>
 * 
 * <h2>モジュール定数インタフェースクラス(%AddonName%Constatns)</h2>
 * <p>
 * モジュールに特化した定数を提供するインタフェースとして提供されます。<br>
 * サブアドオンモジュールの場合、コアモジュールである{@link org.phosphoresce.webcore.core.GlobalConstants}を継承したインタフェースクラスとして提供されます。<br>
 * </p>
 * 
 * <h2>モジュール環境定義キー列挙型クラス(%AddonName%ConfigName)</h2>
 * <p>
 * モジュール環境定義リソースの定義キーをタイプセーフな列挙型クラスとして提供されます。<br>
 * サブアドオンモジュールの場合、コアモジュールである{@link org.phosphoresce.webcore.core.GlobalConfigName}を継承した列挙クラスとして提供されます。<br>
 * </p>
 * 
 * <h2>モジュール環境変数クラス(%AddonName%Environment)</h2>
 * <p>
 * モジュール毎の実行環境変数をアプリケーションインスタンス実行中に保持し続けるクラスが提供されます。<br>
 * サブアドオンモジュールであっても現状は、継承関係を持たない個別の環境変数クラスとして提供されますが、{@link org.phosphoresce.webcore.core.GlobalEnvironment}と同様の以下の構成としてクラスが提供されます。<br>
 * <ul>
 * <li>コンストラクタ</li>
 * <p>
 * クラスはインスタンス化不可とするために、privateなコンストラクタのみを持つクラスとして設けられます。<br>
 * </p>
 * <li>変数フィールド</li>
 * <p>
 * 保持する情報のフィールドはすべてprivate staticなフィールドとして設けられ、それぞれのアクセッサメソッドが提供されます。<br>
 * </p>
 * <li>バインドマップ生成メソッド</li>
 * <p>
 * 自身のフィールドをすべて保持するマップオブジェクトを返却するpublic static Map<String, Object> getMap()メソッドが提供されます。<br>
 * </p>
 * </ul>
 * </p>
 * 
 * <h2>モジュール環境初期化クラス(%AddonName%Configuration)</h2>
 * <p>
 * モジュール環境の初期化処理がて提供されます。<br>
 * サブアドオンモジュールであっても現状は、継承関係を持たない個別の環境初期化クラスとして提供されますが、{@link org.phosphoresce.webcore.core.GlobalConfiguration}と同様の以下の構成としてクラスが提供されます。<br>
 * <ul>
 * <li>コンストラクタ</li>
 * <p>
 * クラスはインスタンス化不可とするために、privateなコンストラクタのみを持つクラスとして設けられます。<br>
 * </p>
 * <li>初期化処理メソッド</li>
 * <p>
 * public synchronized static void configure() throws Throwable<br>
 * モジュールを初期化するためのメソッドとして、スレッドセーフでstaticな初期化メソッドを設ける必要があります。<br>
 * 初期化メソッドは複数の初期化メソッドをラップしたメソッドとしてクラス設計を行うことが推奨されます。<br>
 * 尚、環境定義リソースについては、コアモジュールにて定義された拡張環境定義も読み込まれるため、拡張モジュールの初期化クラスでは環境定義リソースの読み込み処理は不要です。<br>
 * </p>
 * <li>モジュール破棄処理メソッド</li>
 * <p>
 * public synchronized static void destroy() throws Throwable<br>
 * アプリケーションインスタンス破棄時に実行される破棄処理メソッドとして、スレッドセーフでstaticな初期化メソッドを設ける必要があります。<br>
 * 破棄メソッドは複数の破棄メソッドをラップしたメソッドとしてクラス設計を行うことが推奨されます。<br>
 * </p>
 * </ul>
 * </p>
 * 
 * </p>
 */
package org.phosphoresce.webcore.core;

