package org.phosphoresce.webcore.core.transaction;

import java.io.Serializable;

/**
 * トランザクション処理を行うユーザーインタフェースです。<br>
 * <p>
 * データベーストランザクション処理を行う際のユーザー情報を管理するクラスを識別する為のインタフェースで、
 * 各トランザクション関連クラスはこのユーザークラスを元に各種トランザクション制御機能が提供されます。<br>
 * コアフレームワークモジュールでは特に特別なインタフェースを提供しませんが、サブクラスにおいて、更新時のユーザーコード等の情報を提供するインタフェースが追加されることが想定されます。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2010/07/05	Kitagawa		新規作成
 *-->
 */
public interface TransactionUser extends Serializable {
}
