package org.phosphoresce.webcore.ext.hibernate4;

import org.phosphoresce.webcore.core.GlobalConfigName;

/**
 * Hibernate(4.X系)を利用したデータベース処理アドオンモジュール環境設定の定義キーを提供します。<br>
 * <p>
 * 環境定義キーはリファクタリングによる容易な定義キー変更を可能とするため、文字列定数として提供されず、タイプセーフな列挙型クラスとして提供されます。<br>
 * クラス概要はコアモジュール側パッケージドキュメントを参照してください。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2010/07/03	Kitagawa		新規作成
 *-->
 */
public class HibernateConfigName extends GlobalConfigName {

	/** Hibernate接続名前空間定義 */
	public static final HibernateConfigName HIBERNATE_NAMESPACES = new HibernateConfigName("hibernate.namespaces");

	/** Hibernate環境設定リソースパス定義 */
	public static final HibernateConfigName HIBERNATE_CONFIG = new HibernateConfigName("hibernate.config");

	/** コードマスタ定義Excel配置パス定義 */
	public static final HibernateConfigName HIBERNATE_CODEMASTER_PATH = new HibernateConfigName("hibernate.codemaster.path");

	/** コードマスタ定義Excel配置パス定義 */
	public static final HibernateConfigName HIBERNATE_CODEMASTER_AUTOLOAD = new HibernateConfigName("hibernate.codemaster.autoload");

	/** Hibernateアノテーションモデル定義 */
	public static final HibernateConfigName HIBERNATE_ANNOTATION_CLASSES = new HibernateConfigName("hibernate.annotation.classes");

	/**
	 * コンストラクタ<br>
	 * @param key プロパティキー
	 */
	protected HibernateConfigName(String key) {
		super(key);
	}
}
