package org.phosphoresce.webcore.ext.hibernate4;

import org.phosphoresce.webcore.core.GlobalConstants;

/**
 * Hibernate(4.X系)を利用したデータベース処理アドオンモジュールにおける共通の定数を提供します。<br>
 * <p>
 * 上位インタフェースとして{@link GlobalConstants}を継承するため、コアモジュールの共通定数が引き継がれた定数インタフェースとなります。<br>
 * クラス概要はコアモジュール側パッケージドキュメントを参照してください。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2010/07/03	Kitagawa		新規作成
 *-->
 */
public interface HibernateConstants extends GlobalConstants {

	/** 環境設定リソース拡張子(XML) */
	public static final String CONFIG_XML_EXTENSION = ".xml";

	/** 環境設定リソース拡張子(Properties) */
	public static final String CONFIG_PROPERTIES_EXTENSION = ".properties";

	/** 環境設定マスタキー(コードマスタロードタイムスタンプ) */
	public static final String SCONFIG_KEY_SCODE_LOAD_TIMESTAMP = "codemaster.lastmodified";
}
