package org.phosphoresce.webcore.ext.hibernate4.exception;

import org.phosphoresce.webcore.core.exception.WebcoreApplicationException;

/**
 * Hibernateによるデータベースレコード登録処理で一意制約エラーが発生した場合にスローされます。<br>
 * <p>
 * アプリケーション上で個別の既存レコード存在チェックを行わずに登録処理を実行して一意制約エラーが出る場合にスローされます。<br>
 * この例外クラスは{@link WebcoreApplicationException}が継承された例外クラスであり、アプリケーションエラーとして扱われます。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2013/02/01	Kitagawa		新規作成
 *-->
 */
public class HibernateEntityDuplicateException extends WebcoreApplicationException {

	/**
	 * コンストラクタ<br>
	 * @param cause 例外要因
	 */
	public HibernateEntityDuplicateException(Throwable cause) {
		super("FHBN00010", cause);
	}
}
