package org.phosphoresce.webcore.ext.hibernate4.exception;

import org.phosphoresce.webcore.core.exception.WebcoreApplicationException;

/**
 * Hibernateによるデータベースレコード更新処理でレコードがロック状態である場合にスローされます。<br>
 * <p>
 * アプリケーション上で個別の論理ロックチェックを行わない場合や、物理的なロックが行われたレコードに対して更新しようとした場合にスローされます。<br>
 * この例外クラスは{@link WebcoreApplicationException}が継承された例外クラスであり、アプリケーションエラーとして扱われます。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2013/02/01	Kitagawa		新規作成
 *-->
 */
public class HibernateEntityLockException extends WebcoreApplicationException {

	/**
	 * コンストラクタ<br>
	 * @param cause 例外要因
	 */
	public HibernateEntityLockException(Throwable cause) {
		super("FHBN00008", cause);
	}
}
