package org.phosphoresce.webcore.ext.hibernate4.exception;

import org.phosphoresce.webcore.core.exception.WebcoreApplicationException;

/**
 * Hibernateによるデータベースレコード更新処理で先行更新されたレコードに対して更新しようとした場合にスローされます。<br>
 * <p>
 * アプリケーション上で個別の論理ロックチェックを行わない場合で、レコードがバージョン管理されている場合に先行更新されたレコードに対して更新しようとした場合にスローされます。<br>
 * この例外クラスは{@link WebcoreApplicationException}が継承された例外クラスであり、アプリケーションエラーとして扱われます。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2013/02/01	Kitagawa		新規作成
 *-->
 */
public class HibernateEntityModificationException extends WebcoreApplicationException {

	/**
	 * コンストラクタ<br>
	 * @param cause 例外要因
	 */
	public HibernateEntityModificationException(Throwable cause) {
		super("FHBN00009", cause);
	}
}
