package org.phosphoresce.webcore.ext.hibernate4.exception;

import org.phosphoresce.webcore.core.exception.WebcoreCriticalException;

/**
 * アドオンモジュールが提供するロジッククラスでの処理実行中に発生する例外クラスです。<br>
 * <p>
 * ロジッククラスでの処理中に発生する全ての致命的な例外としてスローされます。<br>
 * この例外クラスは{@link WebcoreCriticalException}が継承された例外クラスであり、システムエラーとして扱われます。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2011/07/07	Kitagawa		新規作成
 *-->
 */
public class HibernateLogicException extends WebcoreCriticalException {

	/**
	 * コンストラクタ<br>
	 * @param code 例外メッセージコード
	 * @param cause 例外要因
	 */
	public HibernateLogicException(String code, Throwable cause) {
		super(code, cause);
	}

	/**
	 * コンストラクタ<br>
	 * @param code 例外メッセージコード
	 * @param binds 例外メッセージバインドオブジェクト
	 * @param cause 例外要因
	 */
	public HibernateLogicException(String code, Object[] binds, Throwable cause) {
		super(code, binds, cause);
	}

	/**
	 * コンストラクタ<br>
	 * @param code 例外メッセージ
	 */
	public HibernateLogicException(String code) {
		super(code);
	}

	/**
	 * コンストラクタ<br>
	 * @param code 例外メッセージ
	 * @param binds 例外メッセージバインドオブジェクト
	 */
	public HibernateLogicException(String code, Object[] binds) {
		super(code, binds);
	}
}
