package org.phosphoresce.webcore.ext.jasper;

import org.phosphoresce.webcore.core.GlobalConfigName;

/**
 * JasperReportsアドオンモジュール環境設定の定義キーを提供します。<br>
 * <p>
 * 環境定義キーはリファクタリングによる容易な定義キー変更を可能とするため、文字列定数として提供されず、タイプセーフな列挙型クラスとして提供されます。<br>
 * クラス概要はコアモジュール側パッケージドキュメントを参照してください。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2010/07/03	Kitagawa		新規作成
 *-->
 */
public class JasperConfigName extends GlobalConfigName {

	/** JasperReports定義体格納パス定義 */
	public static final JasperConfigName JASPER_TEMPLATE_PATH = new JasperConfigName("jasper.template.path");

	/** JasperReports帳票イメージ参照サーブレットパス定義 */
	public static final JasperConfigName JASPER_IMAGE_SERVLETPATH = new JasperConfigName("jasper.image.servletpath");

	/**
	 * コンストラクタ<br>
	 * @param key プロパティキー
	 */
	protected JasperConfigName(String key) {
		super(key);
	}
}
