package org.phosphoresce.webcore.ext.jasper.exception;

import org.phosphoresce.webcore.core.exception.WebcoreCriticalException;

/**
 * 帳票出力処理中の致命的な例外クラスです。<br>
 * <p>
 * JapserReportsアドオンモジュールが提供する帳票出力処理時に正常処理が実施されなかった場合にスローされます。<br>
 * この例外クラスは{@link WebcoreCriticalException}が継承された例外クラスであり、システムエラーとして扱われます。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2011/07/07	Kitagawa		新規作成
 *-->
 */
public class JasperCriticalException extends WebcoreCriticalException {

	/**
	 * コンストラクタ<br>
	 * @param code 例外メッセージコード
	 * @param cause 例外要因
	 */
	public JasperCriticalException(String code, Throwable cause) {
		super(code, cause);
	}

	/**
	 * コンストラクタ<br>
	 * @param code 例外メッセージコード
	 * @param binds 例外メッセージバインドオブジェクト
	 * @param cause 例外要因
	 */
	public JasperCriticalException(String code, Object[] binds, Throwable cause) {
		super(code, binds, cause);
	}

	/**
	 * コンストラクタ<br>
	 * @param code 例外メッセージコード
	 */
	public JasperCriticalException(String code) {
		super(code);
	}

	/**
	 * コンストラクタ<br>
	 * @param code 例外メッセージコード
	 * @param binds 例外メッセージバインドオブジェクト
	 */
	public JasperCriticalException(String code, Object[] binds) {
		super(code, binds);
	}
}
