package org.phosphoresce.webcore.ext.struts.action;

import org.phosphoresce.webcore.core.transaction.TransactionUser;
import org.phosphoresce.webcore.ext.struts.annotation.StrutsAction;
import org.phosphoresce.webcore.ext.struts.annotation.StrutsMethod;

/**
 * アドオンモジュール内部処理で利用されるダミーのアクション処理を提供します。<br>
 * <p>
 * サーブレットアクションモジュールが存在しないリクエストパス受領時のリクエストプロセッサーで返却されるダミーのアクションとなります。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2010/07/19	Kitagawa		新規作成
 *-->
 */
@StrutsAction
public final class DummyAction extends AbstractAction<TransactionUser, DummyForm> {

	/**
	 * 初期表示処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@Override
	@StrutsMethod(checkLogin = false, checkSesion = false, checkToken = false)
	public Forward index(DummyForm form, WindowSessionContainer<TransactionUser> session, ServletContainer<TransactionUser> servlet) throws Throwable {
		return new Forward();
	}
}
