package org.phosphoresce.webcore.ext.struts.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * アクション実行時に必ず初期化されるフィールドであることを示すアノテーションです。<br>
 * <p>
 * 当アノテーションはフォームクラスのフィールドに付与して利用します。<br>
 * アノテーションが付与されたフィールドはアクション実行のタイミングで必ず初期化されて画面表示が行われます。<br>
 * </p>
 * <p>
 * 例えば、アクション実行時にフォームにクライアントから任意のフラグを設定し、サーバー処理が完了したタイミングで、
 * フラグを常にクリアし、一度限りのフラグ判定とするフィールド等で利用します。<br>
 * </p>
 * <p>
 * CacheFieldとの併用は許可されません。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2010/07/19	Kitagawa		新規作成
 *-->
 */
@Inherited
@Retention(RetentionPolicy.RUNTIME)
@Target({ ElementType.FIELD })
@Documented
public @interface OneTimeField {
}
