package org.phosphoresce.webcore.ext.struts.config;

import org.apache.struts.config.ModuleConfig;
import org.apache.struts.config.ModuleConfigFactory;

/**
 * Strutsのモジュール環境定義インスタンスを生成するインタフェースを提供します。<br>
 * <p>
 * 当クラスは標準の{@link ModuleConfig}の代わりの拡張された{@link CustomModuleConfig}オブジェクトを提供します。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2010/07/19	Kitagawa		新規作成
 *-->
 */
public final class CustomModuleConfigFactory extends ModuleConfigFactory {

	/**
	 * 指定されたプレフィックスのModuleConfigインスタンスを生成します。<br>
	 * @see org.apache.struts.config.ModuleConfigFactory#createModuleConfig(java.lang.String)
	 */
	@Override
	public ModuleConfig createModuleConfig(String prefix) {
		return new CustomModuleConfig(prefix);
	}
}
