package org.phosphoresce.webcore.ext.struts.enums;

/**
 * アクション実行時のフォームフィールドのキャッシュ反映動作方法を列挙型定数として提供します。<br>
 * <p>
 * {@link org.phosphoresce.webcore.ext.struts.annotation.StrutsMethod#reflectCache()}で利用される列挙型定数です。<br>
 * アクション実行時にキャッシュされたフォームフィールドからの情報反映の挙動を指定します。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2010/07/19	Kitagawa		新規作成
 *-->
 */
public enum CacheReflectType {

	/** フィールド反映なし */
	NONE,

	/** 注釈フィールドのみ反映 */
	MARKED_FIELD,

	/** 全てのフィール反映 */
	ALL_FIELD,

	;
}
